%define rname	be
%define snap_date 20061028
%define cid	\{79A8506A-3FF2-474f-8BF1-1F018FCC8B97\}
%define ciddir 	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	2.0
Release:	alt2
Summary:	Belarusian (BE) Language Pack for Firefox

License:	GPL
Group:		Networking/WWW
URL:		http://mozilla-be.sourceforge.net

Source0:	%firefox_name-2.0.%snap_date.%rname.langpack.xpi

BuildRequires(pre):	rpm-build-firefox 
BuildRequires:		unzip

BuildArch: 		noarch

Requires: firefox-switch-locales
Requires: %firefox_name >= 2.0

Packager:	LAKostis <lakostis at altlinux.ru>

%description
The Mozilla Firefox Belarusian translation.

%prep
%setup -cT
%__unzip %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sun Mar 18 2007 L.A. Kostis <lakostis@altlinux.ru> 2.0-alt2
- fix extensions dir.
- use unzip instead internal rpm commands.

* Sun Nov 26 2006 L.A. Kostis <lakostis@altlinux.ru> 2.0-alt1
- new version for Firefox 2.0.
- remove obsoleted macros.

* Wed Sep 27 2006 L.A. Kostis <lakostis@altlinux.ru> 1.5.0.7-alt1
- rebuild for Firefox 1.5.0.7.

* Thu Aug 10 2006 L.A. Kostis <lakostis@altlinux.ru> 1.5.0.6-alt1
- rebuild for Firefox 1.5.0.6.
- prepare for gear.

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.4-alt1
- rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.3-alt1
- made from 20060312 translation snapshot.
- rebuild with firefox 1.5.0.3

* Sun Dec 25 2005 LAKostis <lakostis at altlinux.ru> 1.5-alt1
- made from 20051217 translation snapshot.
- rebuild with new firefox.
- update .spec for new build scheme.

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.0.7-alt1.5
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.0.7-alt1.4
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1.3
- firefox after firefox-ru installation will be switched to be_BY.
- postun script bugfix.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1.1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1.1.1
- Rebuild with new firefox.

* Tue Jul 12 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt1.1
- fix URL.

* Tue Jul 05 2005 Michael Shigorin <mike@altlinux.org> 1.0.5-alt1
- rebuilt for Sisyphus, lakostis' package

* Wed Jul 05 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt0
- made from 20050119 translation snapshot.
- First build for ALT Linux.
